Bug 824189 - Crash in gnucash when creating a new invoice
Crash in gnucash when creating a new invoice
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 19:08 EDT by Bojan Smojver
Modified: 2014-03-16 23:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 14:53:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 677004 None None None 2012-06-15 23:20:30 EDT

  None (edit)
Description Bojan Smojver 2012-05-22 19:08:16 EDT
Description of problem:
When new invoice is being created, after the initial data is entered, clicking OK will crash gnucash.

Version-Release number of selected component (if applicable):
gnucash-2.4.10-1.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Attempt to create a new invoice.
2. Fill in initial data and click OK.
3. Crash.
  
Actual results:
Abort.

Expected results:
Should work.

Additional info:
gnc.register.core:ERROR:quickfillcell.c:352:gnc_quickfill_cell_use_quickfill_cache: assertion failed: (cell)

Program received signal SIGABRT, Aborted.
0x00000031dee35965 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install avahi-glib-0.6.30-7.fc17.x86_64 avahi-libs-0.6.30-7.fc17.x86_64 bzip2-libs-1.0.6-4.fc17.x86_64 dbus-glib-0.92-3.fc17.x86_64 dbus-libs-1.4.10-4.fc17.x86_64 dconf-0.12.0-1.fc17.x86_64 elfutils-libelf-0.153-2.fc17.x86_64 enchant-1.6.0-4.fc17.x86_64 expat-2.1.0-1.fc17.x86_64 geoclue-0.12.0-10.fc17.x86_64 glib-networking-2.32.1-1.fc17.x86_64 gmp-5.0.2-6.fc17.x86_64 gnome-keyring-3.4.1-2.fc17.x86_64 gnutls-2.12.17-1.fc17.x86_64 gstreamer-0.10.36-1.fc17.x86_64 gstreamer-plugins-base-0.10.36-1.fc17.x86_64 gtk2-engines-2.20.2-4.fc17.x86_64 gvfs-1.12.3-1.fc17.x86_64 keyutils-libs-1.5.5-2.fc17.x86_64 krb5-libs-1.10-5.fc17.x86_64 libXau-1.0.6-3.fc17.x86_64 libXcomposite-0.4.3-3.fc17.x86_64 libXcursor-1.1.13-1.fc17.x86_64 libXdamage-1.1.3-3.fc17.x86_64 libXext-1.3.1-1.fc17.x86_64 libXfixes-5.0-2.fc17.x86_64 libXi-1.6.1-1.fc17.x86_64 libXinerama-1.1.2-1.fc17.x86_64 libXrandr-1.3.1-3.fc17.x86_64 libXrender-0.9.7-1.fc17.x86_64 libXt-1.1.2-2.fc17.x86_64 libXxf86vm-1.1.2-1.fc17.x86_64 libbluray-0.2.2-1.fc17.x86_64 libcanberra-0.28-6.fc17.x86_64 libcom_err-1.42-4.fc17.x86_64 libdrm-2.4.33-1.fc17.x86_64 libffi-3.0.10-2.fc17.x86_64 libgcrypt-1.5.0-3.fc17.x86_64 libgpg-error-1.10-2.fc17.x86_64 libgsf-1.14.21-3.fc17.x86_64 libicu-4.8.1.1-2.fc17.x86_64 libjpeg-turbo-1.2.0-1.fc17.x86_64 libmodman-2.0.1-4.fc17.x86_64 libogg-1.2.2-4.fc17.x86_64 libpng-1.5.10-1.fc17.x86_64 libproxy-0.4.7-4.fc17.x86_64 libselinux-2.1.10-3.fc17.x86_64 libtasn1-2.12-1.fc17.x86_64 libtdb-1.2.9-14.fc17.x86_64 libtool-ltdl-2.4.2-3.fc17.x86_64 libuuid-2.21.1-1.fc17.x86_64 libvorbis-1.3.3-1.fc17.x86_64 libxcb-1.8-2.fc17.x86_64 libxslt-1.1.26-9.fc17.x86_64 mesa-libGL-8.0.2-8.fc17.x86_64 mesa-libglapi-8.0.2-8.fc17.x86_64 nss-softokn-freebl-3.13.4-2.fc17.x86_64 opensp-1.5.2-14.fc17.x86_64 openssl-1.0.0i-1.fc17.x86_64 orc-0.4.16-5.fc17.x86_64 p11-kit-0.12-1.fc17.x86_64 pcre-8.21-3.fc17.x86_64 pixman-0.24.4-2.fc17.x86_64 sqlite-3.7.11-2.fc17.x86_64 sssd-client-1.8.2-10.fc17.x86_64
(gdb) t a a bt

Thread 8 (Thread 0x7fff957f8700 (LWP 14473)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:218
#1  0x00007ffff332ce0c in WTF::ThreadCondition::timedWait (this=
    0x7fffe017e4b8, mutex=..., absoluteTime=<optimized out>)
    at Source/JavaScriptCore/wtf/ThreadingPthreads.cpp:415
#2  0x00007ffff3196072 in JSC::Heap::waitForRelativeTime (this=0x7fffe017dac8, 
    relative=<optimized out>) at Source/JavaScriptCore/heap/Heap.cpp:407
#3  0x00007ffff31960d5 in JSC::Heap::blockFreeingThreadMain (this=
    0x7fffe017dac8) at Source/JavaScriptCore/heap/Heap.cpp:420
#4  0x00007ffff332ce7e in WTF::wtfThreadEntryPoint (param=0x7fffe00f1150)
    at Source/JavaScriptCore/wtf/ThreadingPthreads.cpp:162
#5  0x00000031df207d14 in start_thread (arg=0x7fff957f8700)
    at pthread_create.c:309
#6  0x00000031deef199d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fff967fa700 (LWP 14471)):
#0  0x00000031deee8eef in __GI___poll (fds=<optimized out>, 
    nfds=<optimized out>, timeout=<optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000031e0e47984 in g_main_context_poll (n_fds=3, fds=0x7fff8c0010c0, 
---Type <return> to continue, or q <return> to quit---
    timeout=-1, context=0x7fff8800ce10, priority=<optimized out>)
    at gmain.c:3417
#2  g_main_context_iterate (context=0x7fff8800ce10, block=block@entry=1, 
    dispatch=dispatch@entry=1, 
    self=<error reading variable: Unhandled dwarf expression opcode 0xfa>)
    at gmain.c:3118
#3  0x00000031e0e47de2 in g_main_loop_run (loop=0x7fff8800cdc0) at gmain.c:3317
#4  0x00000031e2ec9126 in gdbus_shared_thread_func (user_data=0x7fff8800cde0)
    at gdbusprivate.c:277
#5  0x00000031e0e6a315 in g_thread_proxy (data=0x7fff88009d40) at gthread.c:801
#6  0x00000031df207d14 in start_thread (arg=0x7fff967fa700)
    at pthread_create.c:309
#7  0x00000031deef199d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fff96ffb700 (LWP 14470)):
#0  0x00000031deee8eef in __GI___poll (fds=<optimized out>, 
    nfds=<optimized out>, timeout=<optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000031e0e47984 in g_main_context_poll (n_fds=1, fds=0x7fff880010e0, 
    timeout=-1, context=0xf5f400, priority=<optimized out>) at gmain.c:3417
#2  g_main_context_iterate (context=0xf5f400, block=block@entry=1, 
    dispatch=dispatch@entry=1, 
---Type <return> to continue, or q <return> to quit---
    self=<error reading variable: Unhandled dwarf expression opcode 0xfa>)
    at gmain.c:3118
#3  0x00000031e0e47de2 in g_main_loop_run (loop=0x7fff880010c0) at gmain.c:3317
#4  0x00007fffde514b0b in ?? () from /usr/lib64/gio/modules/libdconfsettings.so
#5  0x00000031e0e6a315 in g_thread_proxy (data=0xf4a0a0) at gthread.c:801
#6  0x00000031df207d14 in start_thread (arg=0x7fff96ffb700)
    at pthread_create.c:309
#7  0x00000031deef199d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fff977fc700 (LWP 14469)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007ffff3ff138b in WebCore::IconDatabase::syncThreadMainLoop (this=
    0x7fffe00f3000) at Source/WebCore/loader/icon/IconDatabase.cpp:1449
#2  0x00007ffff3ff167d in WebCore::IconDatabase::iconDatabaseSyncThread (this=
    0x7fffe00f3000) at Source/WebCore/loader/icon/IconDatabase.cpp:1061
#3  0x00007ffff332ce7e in WTF::wtfThreadEntryPoint (param=0x7fffe00f11e0)
    at Source/JavaScriptCore/wtf/ThreadingPthreads.cpp:162
#4  0x00000031df207d14 in start_thread (arg=0x7fff977fc700)
    at pthread_create.c:309
#5  0x00000031deef199d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
---Type <return> to continue, or q <return> to quit---

Thread 3 (Thread 0x7fffd7fff700 (LWP 14468)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007ffff330d317 in WTF::TCMalloc_PageHeap::scavengerThread (this=
    0x7ffff35f1c20) at Source/JavaScriptCore/wtf/FastMalloc.cpp:2551
#2  0x00007ffff330d349 in WTF::TCMalloc_PageHeap::runScavengerThread (
    context=<optimized out>) at Source/JavaScriptCore/wtf/FastMalloc.cpp:1628
#3  0x00000031df207d14 in start_thread (arg=0x7fffd7fff700)
    at pthread_create.c:309
#4  0x00000031deef199d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fffdcc64700 (LWP 14467)):
#0  0x00000031deee8eef in __GI___poll (fds=<optimized out>, 
    nfds=<optimized out>, timeout=<optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000031e0e47984 in g_main_context_poll (n_fds=1, fds=0x7fffd80008c0, 
    timeout=-1, context=0x933a90, priority=<optimized out>) at gmain.c:3417
#2  g_main_context_iterate (context=context@entry=0x933a90, block=block@entry=
    1, dispatch=dispatch@entry=1, 
    self=<error reading variable: Unhandled dwarf expression opcode 0xfa>)
    at gmain.c:3118
---Type <return> to continue, or q <return> to quit---
#3  0x00000031e0e47aa4 in g_main_context_iteration (context=0x933a90, 
    may_block=may_block@entry=1) at gmain.c:3184
#4  0x00000031e0e47af1 in glib_worker_main (data=<optimized out>)
    at gmain.c:4856
#5  0x00000031e0e6a315 in g_thread_proxy (data=0x7e9c50) at gthread.c:801
#6  0x00000031df207d14 in start_thread (arg=0x7fffdcc64700)
    at pthread_create.c:309
#7  0x00000031deef199d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7ffff1315a00 (LWP 14462)):
#0  0x00000031dee35965 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00000031dee37118 in __GI_abort () at abort.c:91
#2  0x00000031e0e68837 in g_assertion_message (domain=domain@entry=
    0x7ffff5e66081 "gnc.register.core", file=file@entry=
    0x7ffff5e6624c "quickfillcell.c", line=line@entry=352, func=func@entry=
    0x7ffff5e66280 "gnc_quickfill_cell_use_quickfill_cache", 
    message=<optimized out>) at gtestutils.c:1861
#3  0x00000031e0e68d54 in g_assertion_message_expr (domain=domain@entry=
    0x7ffff5e66081 "gnc.register.core", file=file@entry=
    0x7ffff5e6624c "quickfillcell.c", line=line@entry=352, func=func@entry=
    0x7ffff5e66280 "gnc_quickfill_cell_use_quickfill_cache", expr=expr@entry=
---Type <return> to continue, or q <return> to quit---
    0x7ffff5e66466 "cell") at gtestutils.c:1872
#4  0x00007ffff5e6186e in gnc_quickfill_cell_use_quickfill_cache (cell=0x0, 
    shared_qf=<optimized out>) at quickfillcell.c:352
#5  0x00007fffe7f3a0b1 in load_description_cell (ledger=<optimized out>)
    at gncEntryLedgerLoad.c:295
#6  gnc_entry_ledger_load_xfer_cells (ledger=ledger@entry=0x111b9f0)
    at gncEntryLedgerLoad.c:303
#7  0x00007fffe7f3a2a8 in gnc_entry_ledger_load (ledger=ledger@entry=
    0x111b9f0, entry_list=entry_list@entry=0x0) at gncEntryLedgerLoad.c:332
#8  0x00007fffe7f39517 in gnc_entry_ledger_refresh_internal (entries=0x0, 
    ledger=0x111b9f0) at gncEntryLedgerDisplay.c:71
#9  gnc_entry_ledger_display_refresh (ledger=0x111b9f0)
    at gncEntryLedgerDisplay.c:206
#10 gnc_entry_ledger_display_refresh (ledger=0x111b9f0)
    at gncEntryLedgerDisplay.c:196
#11 0x00007fffe7f373de in gnc_entry_ledger_new (book=<optimized out>, 
    type=<optimized out>) at gncEntryLedger.c:366
#12 0x00007fffe8364bbb in gnc_invoice_create_page (iw=0x9f1d10, 
    page=page@entry=0x10b7390) at dialog-invoice.c:2185

#13 0x00007fffe836e450 in gnc_plugin_page_invoice_create_widget (plugin_page=
    0x10b7390 [GncPluginPageInvoice]) at gnc-plugin-page-invoice.c:457
#14 0x00007ffff790d931 in gnc_plugin_page_create_widget (
    plugin_page=plugin_page@entry=0x10b7390 [GncPluginPageInvoice])
---Type <return> to continue, or q <return> to quit---
    at gnc-plugin-page.c:157
#15 0x00007ffff7907791 in gnc_main_window_open_page (window=window@entry=
    0x72a050 [GncMainWindow], page=page@entry=0x10b7390 [GncPluginPageInvoice])
    at gnc-main-window.c:2593
#16 0x00007fffe8361dfa in gnc_invoice_new_page (bookp=0x9e4de0 [QofBook], type=
    EDIT_INVOICE, invoice=<optimized out>, owner=0xed6c68, window=
    0x72a050 [GncMainWindow], window@entry=0x0) at dialog-invoice.c:1940
#17 0x00007fffe8364e51 in gnc_ui_invoice_edit (invoice=<optimized out>)
    at dialog-invoice.c:2368
#18 0x00007fffe8364f69 in gnc_invoice_window_ok_cb (widget=<optimized out>, 
    data=0xf37440) at dialog-invoice.c:409
#19 0x00000031e1e0f664 in g_closure_invoke (closure=0x10a5e20, 
    return_value=return_value@entry=0x0, n_param_values=1, 
    param_values=param_values@entry=0x7fffffffcdf0, 
    invocation_hint=invocation_hint@entry=0x7fffffffcd90) at gclosure.c:777
#20 0x00000031e1e206d8 in signal_emit_unlocked_R (node=node@entry=0x7c5180, 
    detail=detail@entry=0, instance=instance@entry=0xf00540, 
    emission_return=emission_return@entry=0x0, 
    instance_and_params=instance_and_params@entry=0x7fffffffcdf0)
    at gsignal.c:3547
#21 0x00000031e1e2866d in g_signal_emit_valist (instance=0xf00540, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffd038) at gsignal.c:3296
---Type <return> to continue, or q <return> to quit---
#22 0x00000031e1e287c2 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3352
#23 0x00000031ec690db5 in gtk_real_button_released (button=
    0xf00540 [GtkButton]) at gtkbutton.c:1725
#24 gtk_real_button_released (button=0xf00540 [GtkButton]) at gtkbutton.c:1715
#25 0x00000031e1e0f943 in _g_closure_invoke_va (closure=closure@entry=
    0x7c7350, return_value=return_value@entry=0x0, instance=instance@entry=
    0xf00540, args=args@entry=0x7fffffffd3e8, n_params=0, param_types=0x0)
    at gclosure.c:840
#26 0x00000031e1e27d88 in g_signal_emit_valist (instance=0xf00540, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffd3e8) at gsignal.c:3207
#27 0x00000031e1e287c2 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3352
#28 0x00000031ec68f8b3 in gtk_button_button_release (widget=<optimized out>, 
    event=<optimized out>) at gtkbutton.c:1617
#29 gtk_button_button_release (widget=widget@entry=0xf00540 [GtkButton], 
    event=<optimized out>) at gtkbutton.c:1609
#30 0x00000031ec74cc3c in _gtk_marshal_BOOLEAN__BOXED (closure=0x691a00, 
    return_value=0x7fffffffd640, n_param_values=<optimized out>, param_values=
    0x7fffffffd6f0, invocation_hint=<optimized out>, 
    marshal_data=<optimized out>) at gtkmarshalers.c:86
#31 0x00000031e1e0f664 in g_closure_invoke (closure=closure@entry=0x691a00, 
---Type <return> to continue, or q <return> to quit---
    return_value=return_value@entry=0x7fffffffd640, n_param_values=2, 
    param_values=param_values@entry=0x7fffffffd6f0, 
    invocation_hint=invocation_hint@entry=0x7fffffffd690) at gclosure.c:777
#32 0x00000031e1e20450 in signal_emit_unlocked_R (node=node@entry=0x631180, 
    detail=detail@entry=0, instance=instance@entry=0xf00540, 
    emission_return=emission_return@entry=0x7fffffffd7c0, 
    instance_and_params=instance_and_params@entry=0x7fffffffd6f0)
    at gsignal.c:3585
#33 0x00000031e1e282a7 in g_signal_emit_valist (instance=0xf00540, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffd948) at gsignal.c:3306
#34 0x00000031e1e287c2 in g_signal_emit (instance=instance@entry=0xf00540, 
    signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3352

#35 0x00000031ec87f20e in gtk_widget_event_internal (widget=widget@entry=
    0xf00540 [GtkButton], event=event@entry=0x6b6de0) at gtkwidget.c:4999
#36 0x00000031ec87f589 in IA__gtk_widget_event (widget=widget@entry=
    0xf00540 [GtkButton], event=event@entry=0x6b6de0) at gtkwidget.c:4796
#37 0x00000031ec74aa04 in IA__gtk_propagate_event (widget=
    0xf00540 [GtkButton], event=0x6b6de0) at gtkmain.c:2489
#38 0x00000031ec74ad6b in IA__gtk_main_do_event (event=0x6b6de0)
    at gtkmain.c:1684
#39 0x00000031eaa611cc in gdk_event_dispatch (source=source@entry=0x676e90, 
    callback=<optimized out>, user_data=<optimized out>)
---Type <return> to continue, or q <return> to quit---
    at gdkevents-x11.c:2377
#40 0x00000031e0e475cc in g_main_dispatch (context=0x676f80) at gmain.c:2515
#41 g_main_context_dispatch (context=context@entry=0x676f80) at gmain.c:3052
#42 0x00000031e0e479e8 in g_main_context_iterate (context=0x676f80, 
    block=block@entry=1, dispatch=dispatch@entry=1, 
    self=<error reading variable: Unhandled dwarf expression opcode 0xfa>)
    at gmain.c:3123
#43 0x00000031e0e47de2 in g_main_loop_run (loop=0x6b8f60) at gmain.c:3317
#44 0x00000031ec749d67 in IA__gtk_main () at gtkmain.c:1256
#45 0x00007ffff78ff769 in gnc_ui_start_event_loop () at gnc-gnome-utils.c:668
#46 0x0000000000403962 in inner_main (closure=<optimized out>, 
    argc=<optimized out>, argv=<optimized out>) at gnucash-bin.c:735
#47 0x00000031dfa6725f in invoke_main_func (body_data=0x7fffffffdef0)
    at init.c:367
#48 0x00000031dfa3dcda in c_body (d=d@entry=0x7fffffffde90)
    at continuations.c:349
#49 0x00000031dfaa4a00 in scm_c_catch (tag=tag@entry=0x104, body=body@entry=
    0x31dfa3dcd0 <c_body>, body_data=body_data@entry=0x7fffffffde90, handler=
    0x31dfa3dcf0 <c_handler>, handler_data=handler_data@entry=0x7fffffffde90, 
    pre_unwind_handler=pre_unwind_handler@entry=
    0x31dfaa4f30 <scm_handle_by_message_noexit>, pre_unwind_handler_data=0x0)
    at throw.c:203
#50 0x00000031dfa3e267 in scm_i_with_continuation_barrier (body=body@entry=
---Type <return> to continue, or q <return> to quit---
    0x31dfa3dcd0 <c_body>, body_data=body_data@entry=0x7fffffffde90, 
    handler=handler@entry=0x31dfa3dcf0 <c_handler>, 
    handler_data=handler_data@entry=0x7fffffffde90, pre_unwind_handler=
    0x31dfaa4f30 <scm_handle_by_message_noexit>, 
    pre_unwind_handler_data=pre_unwind_handler_data@entry=0x0)
    at continuations.c:325
#51 0x00000031dfa3e300 in scm_c_with_continuation_barrier (func=func@entry=
    0x31dfa67240 <invoke_main_func>, data=data@entry=0x7fffffffdef0)
    at continuations.c:367
#52 0x00000031dfaa2dc4 in scm_i_with_guile_and_parent (func=func@entry=
    0x31dfa67240 <invoke_main_func>, data=data@entry=0x7fffffffdef0, 
    parent=<optimized out>) at threads.c:733
#53 0x00000031dfaa2e5c in scm_with_guile (func=func@entry=
    0x31dfa67240 <invoke_main_func>, data=data@entry=0x7fffffffdef0)
    at threads.c:721
#54 0x00000031dfa67305 in scm_boot_guile (argc=<optimized out>, 
    argv=argv@entry=0x7fffffffe0d8, main_func=<optimized out>, 
    closure=<optimized out>) at init.c:350
#55 0x0000000000402f7a in main (argc=1, argv=0x7fffffffe0d8)
    at gnucash-bin.c:877
Comment 1 Bojan Smojver 2012-05-22 19:31:13 EDT
Installing gnucash-2.4.10-1.fc16.x86_64 immediately fixes the problem.
Comment 2 Bill Nottingham 2012-06-15 23:01:29 EDT
*** Bug 831882 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2012-06-16 00:40:39 EDT
gnucash-2.4.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnucash-2.4.10-2.fc17
Comment 4 Fedora Update System 2012-06-16 19:58:07 EDT
Package gnucash-2.4.10-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnucash-2.4.10-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9562/gnucash-2.4.10-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-22 04:25:48 EDT
Package gnucash-2.4.10-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnucash-2.4.10-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9562/gnucash-2.4.10-4.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-06-22 14:53:45 EDT
gnucash-2.4.10-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 info@kobaltwit.be 2012-06-27 12:56:07 EDT
Out of curiosity and to estimate if I have to take action in GnuCash upstream as well: was this a packaging error or something in the GnuCash code that was incompatible with newer library/compiler versions ?
Comment 8 Bill Nottingham 2012-06-27 13:16:41 EDT
It disappeared with a straight rebuild.

Debugging *why* this fixed it (compiler bug? something else?) is on my todo list for the future.
Comment 9 info@kobaltwit.be 2012-06-27 13:23:06 EDT
Great. So no action is needed upstream either.

I'm asking all this because we are approaching a new stable release and I'd love to have it work out of the box on F17.

Note You need to log in before you can comment on or make changes to this bug.